Package Details: petalinux-v2021.1 2021.1-1

Git Clone URL: https://aur.archlinux.org/petalinux-v2021.1.git (read-only, click to copy)
Package Base: petalinux-v2021.1
Description: Toolchain and SDK for Xilinx embedded Linux
Upstream URL: https://www.xilinx.com/products/design-tools/embedded-software/petalinux-sdk.html
Licenses: custom
Submitter: alex.henrie
Maintainer: alex.henrie
Last Packager: alex.henrie
Votes: 0
Popularity: 0.000000
First Submitted: 2021-09-17 00:50 (UTC)
Last Updated: 2021-09-17 00:50 (UTC)

Latest Comments

alex.forencich commented on 2022-04-06 01:19 (UTC)

Fails to build petalinux projects:

| In file included from /usr/include/signal.h:328,
|                  from ./signal.h:52,
|                  from ../../m4-1.4.18/lib/c-stack.c:49:
| ../../m4-1.4.18/lib/c-stack.c:55:26: error: missing binary operator before token "("
|    55 | #elif HAVE_LIBSIGSEGV && SIGSTKSZ < 16384
|       |                          ^~~~~~~~

I suspect that a glibc version difference may also be causing trouble here, causing issues with uninative:

WARNING: Your host glibc version (2.35) is newer than that in uninative (2.33). Disabling uninative so that sstate is not corrupted.

alex.forencich commented on 2022-04-06 01:03 (UTC)

Ah, apparently packaging does not work when run with an AUR helper, makepkg must be run directly. Possibly this has something to do with $PLNXINSTALLLER?

alex.forencich commented on 2022-04-06 00:48 (UTC)

The package step is failing:

==> Entering fakeroot environment...
==> Starting package()...
*********************************************
ERROR: PetaLinux installer is missing! Failed to install PetaLinux!
*********************************************
==> ERROR: A failure occurred in package().
    Aborting...
error: failed to build 'petalinux-v2021.1-2021.1-1': 
error: packages failed to build: petalinux-v2021.1-2021.1-1